{ config, pkgs, inputs, lib, ... }: {
  imports = [
    ./bolty-boot.nix
    ./real-hardware.nix
    ../cli.nix
    ./matrix-server.nix
    ./nextcloud.nix
    ./print-server.nix
    ./restic-server.nix
    ./home-assistant.nix
  ];
  boot.binfmt.emulatedSystems = [ "aarch64-linux" ];
  networking = {
    hostName = "bolty";
    useDHCP = false;
    interfaces.enp4s0.useDHCP = true;
  };
  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";

  security.allowUserNamespaces = true;

  time.timeZone = "Europe/London";

}
