{ config, pkgs, inputs, lib, ... }: {
  networking.hostName = "vpsfree1";

  imports = [
    ./vpsfree1-vpsadminos.nix
    ../cli.nix
    ../nginx.nix
    ./foundryvtt.nix
    ./cryptpad.nix
    ./syncthing-relay.nix
    ./backups.nix
    ./blog.cyplo.net.nix
    ./search.nix
    ./matrix-front.nix
  ];

  services.dockerRegistry = {
    enable = true;
    listenAddress = "vpsfree1.raptor-carp.ts.net";
    enableGarbageCollect = true;
  };

  systemd.extraConfig = ''
    DefaultTimeoutStartSec=900s
  '';

  boot.binfmt.emulatedSystems = [ "aarch64-linux" ];
  time.timeZone = "Europe/London";

  nix.buildCores = 7;
}
